using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VR2ManagerClient
{
    public partial class SearchForm : Form
    {
        public string sCaller;
        public string sCallee;
        public DateTime dtBegin;
        public DateTime dtEnd;

        public SearchForm()
        {
            InitializeComponent();
        }

        private void SearchForm_Load(object sender, EventArgs e)
        {
            DateTime dtNow = DateTime.Now;
            dtPicker1.Value = dtNow.AddDays(-5);

            dtNow = DateTime.Now;
            dtPicker2.Value = dtNow.AddDays(1);
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            sCaller = tbCaller.Text;
            sCallee = tbCallee.Text;
            dtBegin = dtPicker1.Value;
            dtEnd = dtPicker2.Value;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}